package de.ivu.elect.business.personenpruefung.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.personenpruefung.entity.PersonPruefungKonfiguration;
import de.ivu.elect.jee.entity.customdata.EmptyCustomData;

@GroupedConversationScoped
@ConversationGroup(AbstractPersonPruefungKonfigurationSearchParameters.class)
public class PersonPruefungKonfigurationSearchParameters extends AbstractPersonPruefungKonfigurationSearchParameters {
  private static final long serialVersionUID = 1L;

  private PersonPruefungKonfiguration personPruefungKonfiguration;

  public PersonPruefungKonfiguration getPersonPruefungKonfiguration() {
    if (personPruefungKonfiguration == null) {
      personPruefungKonfiguration = new PersonPruefungKonfiguration(EmptyCustomData.INSTANCE);
      personPruefungKonfiguration.setPersonentyp(null);
      personPruefungKonfiguration.setStatus(null);
      personPruefungKonfiguration.setTyp(null);
    }

    return personPruefungKonfiguration;
  }

  @Override
  public void reset() {
    super.reset();
    personPruefungKonfiguration = null;

  }
}
